Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.commons.compress.archivers.dump
Enum DumpArchiveEntry.TYPE

    java.lang.Object
      java.lang.Enum<DumpArchiveEntry.TYPE>
          org.apache.commons.compress.archivers.dump.DumpArchiveEntry.TYPE

All Implemented Interfaces:
  Serializable, Comparable<DumpArchiveEntry.TYPE>

Enclosing class:
  DumpArchiveEntry

    public static enum DumpArchiveEntry.TYPE

extends Enum<DumpArchiveEntry.TYPE>

Enum Constant Summary
`BLKDEV`
`CHRDEV`
`DIRECTORY`
`FIFO`
`FILE`
`LINK`
`SOCKET`
`UNKNOWN`
`WHITEOUT`

Method Summary
`static DumpArchiveEntry.TYPE` | `find(int code)`
`static DumpArchiveEntry.TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DumpArchiveEntry.TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WHITEOUT

    public static final DumpArchiveEntry.TYPE WHITEOUT

### SOCKET

    public static final DumpArchiveEntry.TYPE SOCKET

### LINK

    public static final DumpArchiveEntry.TYPE LINK

### FILE

    public static final DumpArchiveEntry.TYPE FILE

### BLKDEV

    public static final DumpArchiveEntry.TYPE BLKDEV

### DIRECTORY

    public static final DumpArchiveEntry.TYPE DIRECTORY

### CHRDEV

    public static final DumpArchiveEntry.TYPE CHRDEV

### FIFO

    public static final DumpArchiveEntry.TYPE FIFO

### UNKNOWN

    public static final DumpArchiveEntry.TYPE UNKNOWN

Method Detail

### values

    public static DumpArchiveEntry.TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DumpArchiveEntry.TYPE c : DumpArchiveEntry.TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DumpArchiveEntry.TYPE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### find

    public static DumpArchiveEntry.TYPE find(int code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 The Apache Software Foundation. All Rights Reserved.